####################################
# REMOVE PREVIOUS LOGS
####################################
rm *.log *.err
rm -rf restart

####################################
# COMPILE THE TEST CASE
####################################
rm makeSmallCase.out makeSmallCase.err 2>/dev/null
make veryclean 1>/dev/null 2>/dev/null
make 1>makeSmallCase.out 2>makeSmallCase.err

####################################
# COPY THE BATCH FILE
####################################
if [ $YALES2_HOSTTYPE == 'occigen' ]; then
   machine=occigen-bdw
elif [ $YALES2_HOSTTYPE == 'jeanzay' ]; then
   machine='jean-zay-cpu'
fi
rm *.batch
cp ../machines/$machine/${YALES2_HOSTTYPE}_testcase_small.batch ./

####################################
# COPY THE RESTART FOLDER
####################################
cp -r $TARBALL_PATH/YALES2BIO/testcase_small_restart ./restart

####################################
# TEST THE CASE COMPILATION
####################################
echo "CHECKING THE CASE COMPILATION:"
if test -f "tube_10micron_036"; then
   echo ">> Case compilation: SUCCESSFUL"
else
   echo ">> Case compilation: FAILED"
fi
echo "################################"
   

